diff --git a/builder/kojid b/builder/kojid
index f3ec853..ea59c54 100755
--- a/builder/kojid
+++ b/builder/kojid
@@ -2116,9 +2116,9 @@ class BuildImageTask(MultiPlatformTask):
         if not opts.get('skip_tag') and not opts.get('scratch'):
             # Make sure package is on the list for this tag
             if pkg_cfg is None:
-                raise koji.BuildError, "package (image) %s not in list for tag %s" % (name, target_info['dest_tag_name'])
+                raise koji.BuildError("package (image) %s not in list for tag %s" % (name, target_info['dest_tag_name']))
             elif pkg_cfg['blocked']:
-                raise koji.BuildError, "package (image)  %s is blocked for tag %s" % (name, target_info['dest_tag_name'])
+                raise koji.BuildError("package (image)  %s is blocked for tag %s" % (name, target_info['dest_tag_name']))
         return self.session.host.initImageBuild(self.id,
             dict(name=name, version=version, release=release, epoch=0))
 
@@ -2137,18 +2137,18 @@ class BuildBaseImageTask(BuildImageTask):
         #check requested arches against build tag
         buildconfig = self.session.getBuildConfig(build_tag)
         if not buildconfig['arches']:
-            raise koji.BuildError, "No arches for tag %(name)s [%(id)s]" % buildconfig
+            raise koji.BuildError("No arches for tag %(name)s [%(id)s]" % buildconfig)
         tag_archlist = [koji.canonArch(a) for a in buildconfig['arches'].split()]
         for arch in arches:
             if koji.canonArch(arch) not in tag_archlist:
-                raise koji.BuildError, "Invalid arch for build tag: %s" % arch
+                raise koji.BuildError("Invalid arch for build tag: %s" % arch)
 
         if not opts:
             opts = {}
 
         if not ozif_enabled:
             self.logger.error("ImageFactory features require the following dependencies: pykickstart, imagefactory, oz and possibly python-hashlib")
-            raise koji.ApplianceError, 'ImageFactory functions not available'
+            raise koji.ApplianceError('ImageFactory functions not available')
 
         # build image(s)
         bld_info = None
@@ -2272,10 +2272,10 @@ class BuildApplianceTask(BuildImageTask):
         #check requested arch against build tag
         buildconfig = self.session.getBuildConfig(build_tag)
         if not buildconfig['arches']:
-            raise koji.BuildError, "No arches for tag %(name)s [%(id)s]" % buildconfig
+            raise koji.BuildError("No arches for tag %(name)s [%(id)s]" % buildconfig)
         tag_archlist = [koji.canonArch(a) for a in buildconfig['arches'].split()]
         if koji.canonArch(arch) not in tag_archlist:
-            raise koji.BuildError, "Invalid arch for build tag: %s" % arch
+            raise koji.BuildError("Invalid arch for build tag: %s" % arch)
 
 
         if not opts:
@@ -2283,7 +2283,7 @@ class BuildApplianceTask(BuildImageTask):
 
         if not image_enabled:
             self.logger.error("Appliance features require the following dependencies: pykickstart, and possibly python-hashlib")
-            raise koji.ApplianceError, 'Appliance functions not available'
+            raise koji.ApplianceError('Appliance functions not available')
 
         # build image
         bld_info = None
@@ -2358,17 +2358,17 @@ class BuildLiveCDTask(BuildImageTask):
         #check requested arch against build tag
         buildconfig = self.session.getBuildConfig(build_tag)
         if not buildconfig['arches']:
-            raise koji.BuildError, "No arches for tag %(name)s [%(id)s]" % buildconfig
+            raise koji.BuildError("No arches for tag %(name)s [%(id)s]" % buildconfig)
         tag_archlist = [koji.canonArch(a) for a in buildconfig['arches'].split()]
         if koji.canonArch(arch) not in tag_archlist:
-            raise koji.BuildError, "Invalid arch for build tag: %s" % arch
+            raise koji.BuildError("Invalid arch for build tag: %s" % arch)
 
         if not opts:
             opts = {}
         if not image_enabled:
             self.logger.error("LiveCD features require the following dependencies: "
                     "pykickstart, pycdio, and possibly python-hashlib")
-            raise koji.LiveCDError, 'LiveCD functions not available'
+            raise koji.LiveCDError('LiveCD functions not available')
 
         # build the image
         bld_info = None
@@ -2445,14 +2445,14 @@ class BuildLiveMediaTask(BuildImageTask):
         #check requested arch against build tag
         buildconfig = self.session.getBuildConfig(build_tag)
         if not buildconfig['arches']:
-            raise koji.BuildError, "No arches for tag %(name)s [%(id)s]" % buildconfig
+            raise koji.BuildError("No arches for tag %(name)s [%(id)s]" % buildconfig)
         tag_archlist = [koji.canonArch(a) for a in buildconfig['arches'].split()]
 
         # check arches and remove duplicates
         arches = set(arches)
         for arch in arches:
             if koji.canonArch(arch) not in tag_archlist:
-                raise koji.BuildError, "Invalid arch for build tag: %s" % arch
+                raise koji.BuildError("Invalid arch for build tag: %s" % arch)
 
         if not opts:
             opts = {}
@@ -2720,7 +2720,7 @@ class ImageTask(BaseTaskHandler):
 
         # put the new ksfile in the output directory
         if not os.path.exists(kojikspath):
-            raise koji.LiveCDError, "KS file missing: %s" % kojikspath
+            raise koji.LiveCDError("KS file missing: %s" % kojikspath)
         self.uploadFile(kojikspath)
         return kskoji # absolute path within chroot
 
@@ -2744,7 +2744,7 @@ class ImageTask(BaseTaskHandler):
                     hdrlist.append(hdr)
                     found = True
         if not found:
-            raise koji.LiveCDError, 'No repos found in yum cache!'
+            raise koji.LiveCDError('No repos found in yum cache!')
         return hdrlist
 
     def _shortenVolID(self, name, version, release):
@@ -2795,7 +2795,7 @@ class ApplianceTask(ImageTask):
         for part in self.ks.handler.partition.partitions:
             if part.mountpoint == '/':
                 return part.disk
-        raise koji.ApplianceError, 'kickstart lacks a "/" mountpoint'
+        raise koji.ApplianceError('kickstart lacks a "/" mountpoint')
 
     def handler(self, name, version, release, arch, target_info, build_tag, repo_info, ksfile, opts=None):
 
@@ -2829,8 +2829,8 @@ class ApplianceTask(ImageTask):
         rv = broot.mock(['--cwd', '/tmp', '--chroot', '--'] + cmd)
         self.uploadFile(os.path.join(broot.rootdir(), app_log[1:]))
         if rv:
-            raise koji.ApplianceError, \
-                "Could not create appliance: %s" % parseStatus(rv, 'appliance-creator') + "; see root.log or appliance.log for more information"
+            raise koji.ApplianceError(
+                "Could not create appliance: %s" % parseStatus(rv, 'appliance-creator') + "; see root.log or appliance.log for more information")
 
         # Find the results
         results = []
@@ -2840,7 +2840,7 @@ class ApplianceTask(ImageTask):
                                             directory, f))
         self.logger.debug('output: %s' % results)
         if len(results) == 0:
-            raise koji.ApplianceError, "Could not find image build results!"
+            raise koji.ApplianceError("Could not find image build results!")
         imgdata = {
             'arch': arch,
             'rootdev': self.getRootDevice(),
@@ -2884,12 +2884,12 @@ class LiveCDTask(ImageTask):
         """
         fd = open(manifile, 'w')
         if not fd:
-            raise koji.GenericError, \
-                'Unable to open manifest file (%s) for writing!' % manifile
+            raise koji.GenericError(
+                'Unable to open manifest file (%s) for writing!' % manifile)
         iso = iso9660.ISO9660.IFS(source=image)
         if not iso.is_open():
-            raise koji.GenericError, \
-                'Could not open %s as an ISO-9660 image!' % image
+            raise koji.GenericError(
+                'Could not open %s as an ISO-9660 image!' % image)
 
         # image metadata
         id = iso.get_application_id()
@@ -2968,8 +2968,8 @@ class LiveCDTask(ImageTask):
         rv = broot.mock(['--cwd', '/tmp', '--chroot', '--'] + cmd)
         self.uploadFile(os.path.join(broot.rootdir(), livecd_log[1:]))
         if rv:
-            raise koji.LiveCDError, \
-                'Could not create LiveCD: %s' % parseStatus(rv, 'livecd-creator') + '; see root.log or livecd.log for more information'
+            raise koji.LiveCDError(
+                'Could not create LiveCD: %s' % parseStatus(rv, 'livecd-creator') + '; see root.log or livecd.log for more information')
 
         # Find the resultant iso
         # The cwd of the livecd-creator process is /tmp in the chroot, so
@@ -2981,9 +2981,9 @@ class LiveCDTask(ImageTask):
                 if not isofile:
                     isofile = afile
                 else:
-                    raise koji.LiveCDError, 'multiple .iso files found: %s and %s' % (isofile, afile)
+                    raise koji.LiveCDError('multiple .iso files found: %s and %s' % (isofile, afile))
         if not isofile:
-            raise koji.LiveCDError, 'could not find iso file in chroot'
+            raise koji.LiveCDError('could not find iso file in chroot')
         isosrc = os.path.join(broot.rootdir(), 'tmp', isofile)
 
         # copy the iso out of the chroot. If we were given an isoname,
@@ -3035,12 +3035,12 @@ class LiveMediaTask(ImageTask):
         """
         fd = open(manifile, 'w')
         if not fd:
-            raise koji.GenericError, \
-                'Unable to open manifest file (%s) for writing!' % manifile
+            raise koji.GenericError(
+                'Unable to open manifest file (%s) for writing!' % manifile)
         iso = iso9660.ISO9660.IFS(source=image)
         if not iso.is_open():
-            raise koji.GenericError, \
-                'Could not open %s as an ISO-9660 image!' % image
+            raise koji.GenericError(
+                'Could not open %s as an ISO-9660 image!' % image)
 
         # image metadata
         id = iso.get_application_id()
@@ -3167,8 +3167,8 @@ class LiveMediaTask(ImageTask):
                 self.uploadFile(os.path.join(filepath))
 
         if rv:
-            raise koji.LiveMediaError, \
-                'Could not create LiveMedia: %s' % parseStatus(rv, 'livemedia-creator') + '; see root.log or livemedia-out.log for more information'
+            raise koji.LiveMediaError(
+                'Could not create LiveMedia: %s' % parseStatus(rv, 'livemedia-creator') + '; see root.log or livemedia-out.log for more information')
 
         # Find the resultant iso
         # The cwd of the livemedia-creator process is /tmp in the chroot, so
@@ -3181,9 +3181,9 @@ class LiveMediaTask(ImageTask):
                 if not isofile:
                     isofile = afile
                 else:
-                    raise koji.LiveMediaError, 'multiple .iso files found: %s and %s' % (isofile, afile)
+                    raise koji.LiveMediaError('multiple .iso files found: %s and %s' % (isofile, afile))
         if not isofile:
-            raise koji.LiveMediaError, 'could not find iso file in chroot'
+            raise koji.LiveMediaError('could not find iso file in chroot')
         isosrc = os.path.join(rootresultsdir, isofile)
 
 
@@ -3344,7 +3344,7 @@ class OzImageTask(BaseTaskHandler):
 
         # put the new ksfile in the output directory
         if not os.path.exists(kspath):
-            raise koji.BuildError, "KS file missing: %s" % kspath
+            raise koji.BuildError("KS file missing: %s" % kspath)
         self.uploadFile(kspath) # upload the modified ks file
         return kspath
 
@@ -4016,9 +4016,9 @@ class BuildIndirectionImageTask(OzImageTask):
         if not opts.get('skip_tag') and not opts.get('scratch'):
             # Make sure package is on the list for this tag
             if pkg_cfg is None:
-                raise koji.BuildError, "package (image) %s not in list for tag %s" % (name, target_info['dest_tag_name'])
+                raise koji.BuildError("package (image) %s not in list for tag %s" % (name, target_info['dest_tag_name']))
             elif pkg_cfg['blocked']:
-                raise koji.BuildError, "package (image)  %s is blocked for tag %s" % (name, target_info['dest_tag_name'])
+                raise koji.BuildError("package (image)  %s is blocked for tag %s" % (name, target_info['dest_tag_name']))
         return self.session.host.initImageBuild(self.id,
             dict(name=name, version=version, release=release, epoch=0))
 
@@ -4344,10 +4344,10 @@ class BuildSRPMFromSCMTask(BaseBuildTask):
         spec = open(filename).read()
         for tag in ("Packager", "Distribution", "Vendor"):
             if re.match("%s:" % tag, spec, re.M):
-                raise koji.BuildError, "%s is not allowed to be set in spec file" % tag
+                raise koji.BuildError("%s is not allowed to be set in spec file" % tag)
         for tag in ("packager", "distribution", "vendor"):
             if re.match("%%define\s+%s\s+" % tag, spec, re.M):
-                raise koji.BuildError, "%s is not allowed to be defined in spec file" % tag
+                raise koji.BuildError("%s is not allowed to be defined in spec file" % tag)
 
     def patch_scm_source(self, sourcedir, logfile, opts):
         # override if desired
@@ -4366,7 +4366,7 @@ class BuildSRPMFromSCMTask(BaseBuildTask):
             opts = {}
         repo_id = opts.get('repo_id')
         if not repo_id:
-            raise koji.BuildError, "A repo id must be provided"
+            raise koji.BuildError("A repo id must be provided")
 
         repo_info = self.session.repoInfo(repo_id, strict=True)
         event_id = repo_info['create_event']
@@ -4425,9 +4425,9 @@ class BuildSRPMFromSCMTask(BaseBuildTask):
 
         srpms = glob.glob('%s/*.src.rpm' % broot.resultdir())
         if len(srpms) == 0:
-            raise koji.BuildError, "No srpms found in %s" % sourcedir
+            raise koji.BuildError("No srpms found in %s" % sourcedir)
         elif len(srpms) > 1:
-            raise koji.BuildError, "Multiple srpms found in %s: %s" % (sourcedir, ", ".join(srpms))
+            raise koji.BuildError("Multiple srpms found in %s: %s" % (sourcedir, ", ".join(srpms)))
         else:
             srpm = srpms[0]
 
@@ -4438,7 +4438,7 @@ class BuildSRPMFromSCMTask(BaseBuildTask):
         release = h[rpm.RPMTAG_RELEASE]
         srpm_name = "%(name)s-%(version)s-%(release)s.src.rpm" % locals()
         if srpm_name != os.path.basename(srpm):
-            raise koji.BuildError, 'srpm name mismatch: %s != %s' % (srpm_name, os.path.basename(srpm))
+            raise koji.BuildError('srpm name mismatch: %s != %s' % (srpm_name, os.path.basename(srpm)))
 
         #upload srpm and return
         self.uploadFile(srpm)
@@ -4759,7 +4759,7 @@ class NewRepoTask(BaseTaskHandler):
         repo_id, event_id = self.session.host.repoInit(tinfo['id'], **kwargs)
         path = koji.pathinfo.repo(repo_id, tinfo['name'])
         if not os.path.isdir(path):
-            raise koji.GenericError, "Repo directory missing: %s" % path
+            raise koji.GenericError("Repo directory missing: %s" % path)
         arches = []
         for fn in os.listdir(path):
             if fn != 'groups' and os.path.isfile("%s/%s/pkglist" % (path, fn)):
@@ -4805,13 +4805,13 @@ class CreaterepoTask(BaseTaskHandler):
         #arch is the arch of the repo, not the task
         rinfo = self.session.repoInfo(repo_id, strict=True)
         if rinfo['state'] != koji.REPO_INIT:
-            raise koji.GenericError, "Repo %(id)s not in INIT state (got %(state)s)" % rinfo
+            raise koji.GenericError("Repo %(id)s not in INIT state (got %(state)s)" % rinfo)
         self.repo_id = rinfo['id']
         self.pathinfo = koji.PathInfo(self.options.topdir)
         toprepodir = self.pathinfo.repo(repo_id, rinfo['tag_name'])
         self.repodir = '%s/%s' % (toprepodir, arch)
         if not os.path.isdir(self.repodir):
-            raise koji.GenericError, "Repo directory missing: %s" % self.repodir
+            raise koji.GenericError("Repo directory missing: %s" % self.repodir)
         groupdata = os.path.join(toprepodir, 'groups', 'comps.xml')
         #set up our output dir
         self.outdir = '%s/repo' % self.workdir
@@ -4875,8 +4875,8 @@ class CreaterepoTask(BaseTaskHandler):
         logfile = '%s/createrepo.log' % self.workdir
         status = log_output(self.session, cmd[0], cmd, logfile, self.getUploadDir(), logerror=True)
         if not isSuccess(status):
-            raise koji.GenericError, 'failed to create repo: %s' \
-                    % parseStatus(status, ' '.join(cmd))
+            raise koji.GenericError('failed to create repo: %s' \
+                    % parseStatus(status, ' '.join(cmd)))
 
     def merge_repos(self, external_repos, arch, groupdata):
         repos = []
@@ -4906,8 +4906,8 @@ class CreaterepoTask(BaseTaskHandler):
         logfile = '%s/mergerepos.log' % self.workdir
         status = log_output(self.session, cmd[0], cmd, logfile, self.getUploadDir(), logerror=True)
         if not isSuccess(status):
-            raise koji.GenericError, 'failed to merge repos: %s' \
-                % parseStatus(status, ' '.join(cmd))
+            raise koji.GenericError('failed to merge repos: %s' \
+                % parseStatus(status, ' '.join(cmd)))
 
 class WaitrepoTask(BaseTaskHandler):
 
@@ -4941,10 +4941,10 @@ class WaitrepoTask(BaseTaskHandler):
         if isinstance(newer_than, basestring) and newer_than.lower() == "now":
             newer_than = start
         if not isinstance(newer_than, (type(None), int, long, float)):
-            raise koji.GenericError, "Invalid value for newer_than: %s" % newer_than
+            raise koji.GenericError("Invalid value for newer_than: %s" % newer_than)
 
         if newer_than and nvrs:
-            raise koji.GenericError, "only one of (newer_than, nvrs) may be specified"
+            raise koji.GenericError("only one of (newer_than, nvrs) may be specified")
 
         if not nvrs:
             nvrs = []
@@ -4971,11 +4971,11 @@ class WaitrepoTask(BaseTaskHandler):
 
             if (time.time() - start) > (self.TIMEOUT * 60.0):
                 if builds:
-                    raise koji.GenericError, "Unsuccessfully waited %s for %s to appear in the %s repo" % \
-                        (koji.util.duration(start), koji.util.printList(nvrs), taginfo['name'])
+                    raise koji.GenericError("Unsuccessfully waited %s for %s to appear in the %s repo" % \
+                        (koji.util.duration(start), koji.util.printList(nvrs), taginfo['name']))
                 else:
-                    raise koji.GenericError, "Unsuccessfully waited %s for a new %s repo" % \
-                        (koji.util.duration(start), taginfo['name'])
+                    raise koji.GenericError("Unsuccessfully waited %s for a new %s repo" % \
+                        (koji.util.duration(start), taginfo['name']))
 
             time.sleep(self.PAUSE)
             last_repo = repo
diff --git a/cli/koji b/cli/koji
index 78242fd..20a950e 100755
--- a/cli/koji
+++ b/cli/koji
@@ -588,11 +588,11 @@ def handle_assign_task(options, session, args):
 
     taskinfo = session.getTaskInfo(task_id, request=False)
     if taskinfo is None:
-        raise koji.GenericError, "No such task: %s" % task_id
+        raise koji.GenericError("No such task: %s" % task_id)
 
     hostinfo = session.getHost(hostname)
     if hostinfo is None:
-        raise koji.GenericError, "No such host: %s" % hostname
+        raise koji.GenericError("No such host: %s" % hostname)
 
     force = False
     if options.force:
@@ -2021,7 +2021,7 @@ def handle_prune_signed_copies(options, session, args):
             if x['active']:
                 fmt += " [still active]"
         else:
-            raise koji.GenericError, "unknown event: (%r, %r)" % (event_id, x)
+            raise koji.GenericError("unknown event: (%r, %r)" % (event_id, x))
         time_str = time.asctime(time.localtime(ts))
         return "%s: %s" % (time_str, fmt % x)
     for nvr, binfo in builds:
@@ -2062,7 +2062,7 @@ def handle_prune_signed_copies(options, session, args):
             hist = session.tagHistory(tag=tag_name, package=binfo['name'])
             if not hist:
                 #really shouldn't happen
-                raise koji.GenericError, "No history found for %s in %s" % (nvr, tag_name)
+                raise koji.GenericError("No history found for %s in %s" % (nvr, tag_name))
             timeline = []
             for x in hist:
                 #note that for revoked entries, we're effectively splitting them into
@@ -2082,7 +2082,7 @@ def handle_prune_signed_copies(options, session, args):
                     break
             if not latest_ts:
                 #really shouldn't happen
-                raise koji.GenericError, "No creation event found for %s in %s" % (nvr, tag_name)
+                raise koji.GenericError("No creation event found for %s in %s" % (nvr, tag_name))
             our_entry = entry
             if options.debug:
                 print(_histline(event_id, our_entry))
@@ -2130,8 +2130,8 @@ def handle_prune_signed_copies(options, session, args):
                 if entry['build_id'] == binfo['id']:
                     if is_create:
                         #shouldn't happen
-                        raise koji.GenericError, "Duplicate creation event found for %s in %s" \
-                                                    % (nvr, tag_name)
+                        raise koji.GenericError("Duplicate creation event found for %s in %s" \
+                                                    % (nvr, tag_name))
                     else:
                         #we've been revoked
                         revoke_ts = entry['revoke_ts']
@@ -4127,7 +4127,7 @@ def anon_handle_list_tag_history(options, session, args):
             if x['active']:
                 fmt += " [still active]"
         else:
-            raise koji.GenericError, "unknown event: (%r, %r)" % (event_id, x)
+            raise koji.GenericError("unknown event: (%r, %r)" % (event_id, x))
         time_str = time.asctime(time.localtime(ts))
         return "%s: %s" % (time_str, fmt % x)
     for event_id, x in timeline:
@@ -4654,7 +4654,7 @@ def _printTaskInfo(session, task_id, level=0, recurse=True, verbose=True):
     info = session.getTaskInfo(task_id)
 
     if info is None:
-        raise koji.GenericError, "No such task: %d" % task_id
+        raise koji.GenericError("No such task: %d" % task_id)
 
     if info['host_id']:
         host_info = session.getHost(info['host_id'])
@@ -5339,7 +5339,7 @@ def _parse_tagpri(tagpri):
         try:
             pri = int(parts[1])
         except ValueError:
-            raise koji.GenericError, "Invalid priority: %s" % parts[1]
+            raise koji.GenericError("Invalid priority: %s" % parts[1])
         return tag, pri
 
 def handle_add_external_repo(options, session, args):
@@ -5648,11 +5648,11 @@ def _build_image_indirection(options, task_opts, session, args):
     # Do some sanity checks before even attempting to create the session
     if not (bool(task_opts.utility_image_task) !=
             bool(task_opts.utility_image_build)):
-        raise koji.GenericError, _("You must specify either a utility-image task or build ID/NVR")
+        raise koji.GenericError(_("You must specify either a utility-image task or build ID/NVR"))
 
     if not (bool(task_opts.base_image_task) !=
             bool(task_opts.base_image_build)):
-        raise koji.GenericError, _("You must specify either a base-image task or build ID/NVR")
+        raise koji.GenericError(_("You must specify either a base-image task or build ID/NVR"))
 
     required_opts = [ 'name', 'version', 'arch', 'target', 'indirection_template', 'results_loc' ]
     optional_opts = [ 'indirection_template_url', 'scratch', 'utility_image_task', 'utility_image_build',
@@ -5665,7 +5665,7 @@ def _build_image_indirection(options, task_opts, session, args):
 
     if len(missing) > 0:
         print("Missing the following required options: %s" % ' '.join(['--%s' % o.replace('_','-') for o in missing]))
-        raise koji.GenericError, _("Missing required options specified above")
+        raise koji.GenericError(_("Missing required options specified above"))
 
     activate_session(session)
 
@@ -5685,11 +5685,11 @@ def _build_image_indirection(options, task_opts, session, args):
 
     tmp_target = session.getBuildTarget(task_opts.target)
     if not tmp_target:
-        raise koji.GenericError, _("Unknown build target: %s" % tmp_target)
+        raise koji.GenericError(_("Unknown build target: %s" % tmp_target))
     dest_tag = session.getTag(tmp_target['dest_tag'])
     if not dest_tag:
-        raise koji.GenericError, _("Unknown destination tag: %s" %
-                                   tmp_target['dest_tag_name'])
+        raise koji.GenericError(_("Unknown destination tag: %s" %
+                                   tmp_target['dest_tag_name']))
 
     # Set the architecture
     task_opts.arch = koji.canonArch(task_opts.arch)
@@ -5700,7 +5700,7 @@ def _build_image_indirection(options, task_opts, session, args):
     if not task_opts.indirection_template_url:
         if not task_opts.scratch:
             # only scratch builds can omit indirection_template_url
-            raise koji.GenericError, _("Non-scratch builds must provide a URL for the indirection template")
+            raise koji.GenericError(_("Non-scratch builds must provide a URL for the indirection template"))
         templatefile = task_opts.indirection_template
         serverdir = _unique_path('cli-image-indirection')
         session.uploadWrapper(templatefile, serverdir, callback=callback)
@@ -5861,7 +5861,7 @@ def _build_image(options, task_opts, session, args, img_type):
     """
 
     if img_type not in ('livecd', 'appliance', 'livemedia'):
-        raise koji.GenericError, 'Unrecognized image type: %s' % img_type
+        raise koji.GenericError('Unrecognized image type: %s' % img_type)
     activate_session(session)
 
     # Set the task's priority. Users can only lower it with --background.
@@ -5880,11 +5880,11 @@ def _build_image(options, task_opts, session, args, img_type):
     target = args[2]
     tmp_target = session.getBuildTarget(target)
     if not tmp_target:
-        raise koji.GenericError, _("Unknown build target: %s" % target)
+        raise koji.GenericError(_("Unknown build target: %s" % target))
     dest_tag = session.getTag(tmp_target['dest_tag'])
     if not dest_tag:
-        raise koji.GenericError, _("Unknown destination tag: %s" %
-                                   tmp_target['dest_tag_name'])
+        raise koji.GenericError(_("Unknown destination tag: %s" %
+                                   tmp_target['dest_tag_name']))
 
     # Set the architecture
     if img_type == 'livemedia':
@@ -5952,11 +5952,11 @@ def _build_image_oz(options, task_opts, session, args):
     target = args[2]
     tmp_target = session.getBuildTarget(target)
     if not tmp_target:
-        raise koji.GenericError, _("Unknown build target: %s" % target)
+        raise koji.GenericError(_("Unknown build target: %s" % target))
     dest_tag = session.getTag(tmp_target['dest_tag'])
     if not dest_tag:
-        raise koji.GenericError, _("Unknown destination tag: %s" %
-                                   tmp_target['dest_tag_name'])
+        raise koji.GenericError(_("Unknown destination tag: %s" %
+                                   tmp_target['dest_tag_name']))
 
     # Set the architectures
     arches = []
@@ -5968,7 +5968,7 @@ def _build_image_oz(options, task_opts, session, args):
     if not task_opts.ksurl:
         if not task_opts.scratch:
             # only scratch builds can omit ksurl
-            raise koji.GenericError, _("Non-scratch builds must provide ksurl")
+            raise koji.GenericError(_("Non-scratch builds must provide ksurl"))
         ksfile = task_opts.kickstart
         serverdir = _unique_path('cli-image')
         session.uploadWrapper(ksfile, serverdir, callback=callback)
